Update Ticketing Holder Attributes Data by Barcode Id

This API updates ticket holder attribute data based on the barcode ID for a specified event and is accessible via API key or event admin token. The API returns a response containing a type and message. To call this API, the user must include query parameters in the URL, such as the event URL, barcode ID, attendee attribute details, and an authentication key.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns in JSON format. This will return a success message if the call is executed successfully.

AttributeDescription
typeThis is the type of API response which will be Success or Fail.
messageThis contains a message for response that can be used to display to the end user.

Here are the possible error messages, which return if any condition fails or required data is missing for processing.

Error CodeError Description
200Ticket Holder Details Updated Successfully.
201Created.
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030201Not Event Host.
4069101Only 50 Characters are allowed in firstName.
4069102Only 50 Characters are allowed in lastName.
4069103Only 75 Characters are allowed in email.
4060074Email is not valid, please enter valid email.
4060004Not a valid phone number.
4060132Age is not valid.
Path Params
string
required

Contains the ticketing holder attributes data by barcode id

string
required

Contains the event url

Body Params
attributes
array of objects
required

Pass the attributes data

attributes*
questions
array of objects

Pass the questions data

questions
nestedQuestions
array of objects

Pass the nested questions data

nestedQuestions
string
Defaults to ""

Pass the seat number if available

int64

Pass the event ticket id

int64

Pass the event Id

string
Defaults to null

Pass the addon ticket types if available

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json